Portfolio

Get asset by source ID

GET/portfolio/assets/source/{sourceId}

Looks up an asset using its external source identifier. This is useful when you have a reference from an external system and need to retrieve the corresponding asset.

Path parameters

  • sourceIdstringRequired#

Responses

200

AssetResource

PortfolioAssetResource
{
  "data": {
    "id": 1,
    "parent_asset_id": 1,
    "client_reference": "string",
    "guid": "string",
    "name": "string",
    "class": "string",
    "structure": "string",
    "uid": "string",
    "source": "string",
    "source_id": "string",
    "description": "string",
    "currency": "string",
    "has_subpositions": true,
    "has_parent": true,
    "subposition_type": "string",
    "created_at": "string",
    "updated_at": "string",
    "raw_asset_data": [
      "string"
    ],
    "asset_data": [
      "string"
    ],
    "metadata": [
      "string"
    ],
    "toggles": {
      "values": [
        "string"
      ],
      "chain_has_investor_toggle": true,
      "is_manual_valuation": true,
      "is_investor_sub_dist_allowed": true,
      "show_valuation_timeline": true
    },
    "has_fund_cash": true,
    "fund_cash_id": 1,
    "has_fund_cash_pots": true,
    "parent_has_fund_cash": true,
    "parent_name": "string"
  }
}
403

Authorization error

Examples

curl https://your-org-domain/kong/core/api/v2/portfolio/assets/source/{sourceId}\
  -H "Authorization: Bearer $HELM_API_KEY"\
  -H "Content-Type: application/json"